Tryton - Issues

 

Issue6912

Title Manage chart of account update per account
Priority feature Status resolved
Superseder Nosy List Timitos, ced, pokoli, reviewbot, roundup-bot
Type feature request Components account, account_eu
Assigned To pokoli Keywords review
Reviews 44501002,43911002,43241002,70341002
View: 44501002, 43911002, 43241002, 70341002

Created on 2017-11-05.20:58:45 by ced, last changed by roundup-bot.

Messages
New changeset cdc77c1bed52 by Sergi Almacellas Abellana in branch 'default':
Add template override mechanism to tax rules and tax rule lines
https://hg.tryton.org/tryton-env/rev/cdc77c1bed52
New changeset 69c848910dd4 by Sergi Almacellas Abellana in branch 'default':
Add template override mechanism to tax rules and tax rule lines
https://hg.tryton.org/modules/account/rev/69c848910dd4
review70341002 updated at https://codereview.tryton.org/70341002/#ps20001
review70341002 updated at https://codereview.tryton.org/70341002/#ps1
msg43042 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-08-23.13:38:04
Here is review70341002 which adds the template_override mechanism to TaxRule and TaxRuleLines
msg42816 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-08-09.09:31:33
I re-open it because the TaxRule and TaxRuleLine are missing the template_override mechanism.
New changeset 7438a9ede821 by Sergi Almacellas Abellana in branch 'default':
Remove readonly by template on children fields
http://hg.tryton.org/modules/account/rev/7438a9ede821
review43241002 updated at https://codereview.tryton.org/43241002/#ps1
msg38961 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-03-13.12:33:42
Here is review43241002 that removes the children readonly
msg38936 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-10.19:53:02
I re-open it because the children fields should not be readonly by template.
New changeset 19c8d4af92f3 by Sergi Almacellas Abellana in branch 'default':
Manage template overriden field
http://hg.tryton.org/modules/account_eu/rev/19c8d4af92f3
New changeset 622fea89afd3 by Sergi Almacellas Abellana in branch 'default':
Manage chart update per record
http://hg.tryton.org/modules/account/rev/622fea89afd3
review44501002 updated at https://codereview.tryton.org/44501002/#ps140001
review43911002 updated at https://codereview.tryton.org/43911002/#ps20001
review44501002 updated at https://codereview.tryton.org/44501002/#ps120001
review44501002 updated at https://codereview.tryton.org/44501002/#ps100001
review44501002 updated at https://codereview.tryton.org/44501002/#ps80001
review44501002 updated at https://codereview.tryton.org/44501002/#ps60001
review44501002 updated at https://codereview.tryton.org/44501002/#ps40001
review43911002 updated at https://codereview.tryton.org/43911002/#ps1
review44501002 updated at https://codereview.tryton.org/44501002/#ps20001
New review44501002 at https://codereview.tryton.org/44501002/#ps1
msg37295 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2017-12-14.10:53:12
I added review44501002 which implements it on the account model. 

I will complete to other models, once I get some feedback.
msg37293 (view) Author: [hidden] (Timitos) Date: 2017-12-14.10:32:47
Nice feature. I agree that we should do it for all models.

There should be a detailed help text for the checkbox to disable the readonly as the user needs to know about the implication of setting the value to True.
msg37292 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2017-12-14.10:23:10
Indeed, I'm wondering if we should not apply only to account, but for all models that are linked to a template: Account Type, Tax, Rule and line.
msg36719 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-11-05.20:58:44
It will be better to make it explicit when the user wants to change an account linked to a template.
I think the best improvement will be:

- Make field readonly when there is a template filled
- Add a checkbox to disable the readonly to allow edition
- if the checkbox is checked the update wizard will skip this account (type, tax etc.)
History
Date User Action Args
2018-08-30 14:02:55roundup-botsetmessages: + msg43179
2018-08-30 14:02:47roundup-botsetstatus: testing -> resolved
messages: + msg43178
2018-08-27 14:55:17reviewbotsetmessages: + msg43099
2018-08-23 14:04:00reviewbotsetmessages: + msg43043
2018-08-23 13:38:05pokolisetstatus: chatting -> testing
reviews: 44501002,43911002,43241002 -> 44501002,43911002,43241002,70341002
messages: + msg43042
2018-08-09 09:31:33cedsetstatus: resolved -> chatting
messages: + msg42816
2018-03-26 10:22:58roundup-botsetstatus: testing -> resolved
messages: + msg39370
2018-03-13 12:50:45reviewbotsetmessages: + msg38963
2018-03-13 12:33:46pokolisetreviews: 44501002,43911002 -> 44501002,43911002,43241002
2018-03-13 12:33:42pokolisetstatus: chatting -> testing
messages: + msg38961

Showing 10 items. Show all history (warning: this could be VERY long)